Subject: Re: bug#70068: [PATCH] Don't warn about lexical binding in lisp-interaction-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Apr 2024 01:27:27 -0400

>> My thinking was that one never needs to set the variable anyway, since
>> `lisp-interaction-mode' sets `lexical-binding' anyway.  Alternatively,
>> one could also modify the patch to check if `lexical-binding' is non-nil?
>
> The latter possibility would be better, I think.  Stefan, WDYT?

Testing `lexical-binding` sounds good: the purpose is to encourage people
to activate `lexical-binding`, rather than encourage them to add a magic cookie.

        Stefan